# List of all credit notes Using this endpoint, you can get list of all credit notes with detailed info of each credit note (like in Credit note detail endpoint) asynchronously. See how Asynchronous requests work on our developer's portal. Response will be in jsonlines format with each credit note taking one line of output file. One credit note in response has the same format as credit note detail response. See Credit note snapshot schema for more details. This endpoint has several sections, which are only sent when requested in the include parameter (see Section on demand). Value | Section --- | --- surchargeParameters | Item surcharge parameters. Result file is compressed using GZIP. Endpoint: GET /api/credit-notes/snapshot Version: 1.0.0 Security: shoptetAccessToken, shoptetPrivateApiToken ## Query parameters: - `creationTimeFrom` (string) Export credit notes created after date Example: "2014-09-05T00:00:00%2B0000" - `creationTimeTo` (string) Export credit notes created before date Example: "2019-09-05T00:00:00%2B0000" - `changeTimeFrom` (string) Export credit notes updated after date Example: "2014-09-05T00:00:00%2B0000" - `changeTimeTo` (string) Export credit notes updated before date Example: "2019-09-05T00:00:00%2B0000" - `codeFrom` (string) Export credit notes with code after given value Example: "0000000006" - `codeTo` (string) Export credit notes with code before given value Example: "0000000006" - `invoiceCodeFrom` (string) Export credit notes with invoice code after given value Example: "2017000010" - `invoiceCodeTo` (string) Export credit notes with invoice code before given value Example: "2017000010" - `dueDateFrom` (string) Export credit notes with due date after date Example: "2014-09-05T00:00:00%2B0000" - `dueDateTo` (string) Export credit notes with due date before date Example: "2019-09-05T00:00:00%2B0000" - `hasProofPaymentCode` (boolean) Export credit notes with or without proof payment codes only Example: true - `taxDateFrom` (string) Export credit notes with tax date after date Example: "2014-09-05T00:00:00%2B0000" - `taxDateTo` (string) Export credit notes with tax date before date Example: "2019-09-05T00:00:00%2B0000" - `orderCodeFrom` (string) Export credit notes with order code after given value Example: "2017000010" - `orderCodeTo` (string) Export credit notes with order code before given value Example: "2017000010" - `customerGuid` (string) Export credit notes with given customer Example: "443cad54-73bc-11e8-8216-002590dad85e" - `varSymbol` (string) Export credit notes with given variable symbol Example: "2010001" - `restocked` (boolean) Export restocked or not restocked credit notes - `isValid` (boolean) Filtering according to document validity Example: true - `include` (string) Sections to include Example: "surchargeParameters" ## Header parameters: - `Content-Type` (string, required) ## Response 202 fields (application/json): - `data` (object) - `data.jobId` (string, required) token of job - `errors` (array,null) - `errors.errorCode` (string, required) Short text error identification - `errors.message` (string, required) Descriptive error message - `errors.instance` (string, required) Identification of the entity referenced